at.chipkarte.client.rez.soap

## Class PapierrezeptReferenz

- Object
- - at.chipkarte.client.rez.soap.PapierrezeptReferenz

-     public class PapierrezeptReferenz
      extends Object

  Rückgabe der Funktion `selbstabgegebenePapierrezepteSuchen()`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PapierrezeptReferenz()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAbgabedatum()` Datum der Abgabe.
    `String` | `getKvt()` KV-Träger.
    `String` | `getPatientVorname()` Vorname des Patienten.
    `String` | `getPatientZuname()` Zuname / Familienname des Patienten.
    `String` | `getRegoId()` Eindeutige Id eines REGO TA Datensatzes aufgrund der Einlösung eines Papierrezeptes.
    `String` | `getSvnr()` Versicherungsnummer des Patienten.
    `void` | `setAbgabedatum(String abgabedatum)`
    `void` | `setKvt(String kvt)`
    `void` | `setPatientVorname(String patientVorname)`
    `void` | `setPatientZuname(String patientZuname)`
    `void` | `setRegoId(String regoId)`
    `void` | `setSvnr(String svnr)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PapierrezeptReferenz

          public PapierrezeptReferenz()

  - ### Method Detail

    - #### getRegoId

          public String getRegoId()

      Eindeutige Id eines REGO TA Datensatzes aufgrund der Einlösung eines Papierrezeptes.
      Format: 12-stellig
      Angabe: Muss.
      Returns:
        REGO Id

    - #### setRegoId

          public void setRegoId(String regoId)

    - #### getSvnr

          public String getSvnr()

      Versicherungsnummer des Patienten.
      Format: 10-stellig
      Angabe: Muss.
      Returns:

    - #### setSvnr

          public void setSvnr(String svnr)

    - #### getPatientVorname

          public String getPatientVorname()

      Vorname des Patienten.
      Format: maximal 70-Zeichen
      Angabe: Kann.
      Returns:
        Freitext Vorname.

    - #### setPatientVorname

          public void setPatientVorname(String patientVorname)

    - #### getPatientZuname

          public String getPatientZuname()

      Zuname / Familienname des Patienten.
      Format: maximal 70-Zeichen
      Angabe: Kann.
      Returns:
        Freitext Zuname.

    - #### setPatientZuname

          public void setPatientZuname(String patientZuname)

    - #### getKvt

          public String getKvt()

      KV-Träger.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Muss.
      Returns:
        Code des KVT

    - #### setKvt

          public void setKvt(String kvt)

    - #### getAbgabedatum

          public String getAbgabedatum()

      Datum der Abgabe.
      Format: TT.MM.JJJJ
      Angabe: Muss.
      Returns:
        Abgabedatum

    - #### setAbgabedatum

          public void setAbgabedatum(String abgabedatum)